- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Digraph::Node Class Reference

## Detailed Description

This class identifies a node of the digraph. It also serves as a base class of the node iterators, thus they convert to this type.

`#include <lemon/concepts/digraph.h>`

Inheritance diagram for Digraph::Node:
[legend]

## Public Member Functions
| Node ()
| Default constructor. More...
| Node (const Node &)
| Copy constructor. More...
| Node (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Node) const
| Equality operator. More...
bool | operator!= (Node) const
| Inequality operator. More...
bool | operator< (Node) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

Node | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the object to an undefined value.

Node | ( | const Node & |  | ) |
| inline

Copy constructor.

Node | ( | Invalid |  | ) |
| inline

Initializes the object to be invalid.

See Also
  Invalid for more details.

## Member Function Documentation

bool operator== | ( | Node |  | ) | const
| inline

Equality operator.

Two iterators are equal if and only if they point to the same object or both are `INVALID`.

bool operator!= | ( | Node |  | ) | const
| inline

Inequality operator.

bool operator< | ( | Node |  | ) | const
| inline

Artificial ordering operator.

Note
  This operator only has to define some strict ordering of the nodes; this order has nothing to do with the iteration ordering of the nodes.